sigil (2.4.2+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:57:42 +0000

sigil (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.2+dfsg.
    https://sigil-ebook.com/blog/sigil-2.3.0-released/
    https://sigil-ebook.com/blog/sigil-2.3.1-released/
    https://sigil-ebook.com/blog/sigil-2.4.0-released/
    https://sigil-ebook.com/blog/sigil-2.4.2-released/
    + Fix build with Qt 6.8.  Closes: #1100318
  * Update copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * New dependencies: libcups2-dev, libxkbcommon-x11-dev, libxkbfile-dev.
  * Delete some useless documentation from the installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 16 Mar 2025 17:30:01 +0100

sigil (2.2.1+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * python3-six is deprecated and being slowly removed.  Closes: #1069014

  [ Mattia Rizzolo ]
  * New upstream version 2.2.1+dfsg.
    https://sigil-ebook.com/blog/sigil-2.0.2-released/
    https://sigil-ebook.com/blog/sigil-2.1.0-released/
    https://sigil-ebook.com/blog/sigil-2.2.0-released/
    https://sigil-ebook.com/blog/sigil-2.2.1-released/
    + Support Python 3.12.  Closes: #1064992
  * Update copyright.
  * Build sigil with Qt6.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jul 2024 10:45:08 +0900

sigil (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.0.1+dfsg1.
    + https://sigil-ebook.com/blog/sigil-2.0.0-released/
    + https://sigil-ebook.com/blog/sigil-2.0.1-released/
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/1.9.30
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/2.0.0
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/2.0.1
  * Update watchfile to use tags instead of releases in github.
  * Refresh th eupstream signing key that was expired,
  * Drop patch applied upstream.
  * d/rules: update path to the embedded jquery.
  * Repack to remove the docs/ directory that does not contain anything useful
    for us and just triggers lintian.
  * Update copyright.
  * Adjust lintian override syntax

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 14:09:34 +0530

sigil (1.9.20+dfsg-2) unstable; urgency=medium

  * Relax the requirement on sigil-data's version dependency to accomodate for
    binNMUs.  Closes: #1028107
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 02:29:05 +0100

sigil (1.9.20+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.20+dfsg.
  * Stop excluding the embedded mathjax, now we need it as sigil requires
    MathJax 3.2.2+, which is nott packaged in Debian; see #950424.
  * Drop Depends on libjs-mathjax.
  * Add patch from upstream to fix build with python 3.11.
  * Update upstream signing key.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Dec 2022 01:55:59 +0100

sigil (1.9.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.10+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.9.10
  * Bump Standards-Version to 4.6.1, no chnages needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 17:27:35 +0200

sigil (1.9.2+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.9.2+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    + Build-Depends: Drop versioned constraint on qtbase5-dev, qttools5-dev,
      qttools5-dev-tools and qtwebengine5-dev.
    + sigil/Depends: Drop versioned constraint on libjs-mathjax,python3-dulwich.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Mar 2022 19:54:40 +0100

sigil (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Mar 2022 12:22:41 +0100

sigil (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.0+dfsg.
  * d/copyright: Update.
  * d/control: Build against libpcre2.  Closes: #999963

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Feb 2022 12:54:52 +0100

sigil (1.8.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.8.0+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    * Build-Depends: Drop versioned constraint on cmake.
  * Use secure URI in Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Oct 2021 21:21:26 +0200

sigil (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:41:32 +0200

sigil (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.7.0
  * Fix the -DDISABLE_UPDATE_CHECK flag name.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Jul 2021 14:46:13 +0200

sigil (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.6.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.6.0
  * Update copyright.
  * Add Recommends on python3-pyqtwebengine.
  * Build with the new flag -DDISABLE_UPDATECHECK=1 to prevent sigil
    from checking for updates online.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 18:54:42 +0200

sigil (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.5.1
  * Update copyright.
  * Fixup watchfile match for the changed github URLs.
  * Build-Depend on dh-sequence-python3 and drop --with python3 from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 20:40:04 +0200

sigil (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.3+dfsg
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 Dec 2020 17:15:27 +0100

sigil (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.2
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Nov 2020 19:11:53 +0100

sigil (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.1

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Nov 2020 18:08:45 +0100

sigil (1.4.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.4.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.4.0
  * d/control: Suggest. the new package "pageedit".
  * d/rules: Install the new hicolor icons.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 17:21:38 +0100

sigil (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.3.0
  * d/control: Bump debhelper compat level to 13.
  * d/rules:
    + Drop now unneeded dh_missing override, covered by dh 13.
    + Drop -as-needed linker flag, it's default in the newest toolchain.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Jul 2020 18:21:42 +0200

sigil (1.2.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add a dependency on python3-dulwich, to be able to use the checkpoint
      feature.  Closes: #955586
    + Drop now unneeded Build-Dependencies on libqt5(svg|xmlpatterns)5-dev.
      Thanks to Mihai Limbasan for the report.  Closes: #955584

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 03 Apr 2020 11:46:56 +0200

sigil (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.0
  * New upstream version 1.2.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.2.1

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Apr 2020 16:27:16 +0200

sigil (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.1.0
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Feb 2020 18:39:11 +0100

sigil (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg.  Closes: #947056
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.0.0
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Dec 2019 15:50:17 +0100

sigil (0.9.991+dfsg-1) experimental; urgency=medium

  * New upstream alpha version 0.9.991+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/0.9.991
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Nov 2019 18:41:11 +0100

sigil (0.9.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.18+dfsg.
  * Update copyright.
  * Recommend python3-css-parser, which replaced the embedded old code copy.
  * d/rules: Remove code dealing with the removed copy of python-css-parser.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 06 Sep 2019 15:23:11 +0200

sigil (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.17+dfsg.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 10 Aug 2019 16:46:35 +0200

sigil (0.9.16+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.16+dfsg.
    + Fix a Zip directory traversal vulnerability.
      Closes: #933797; CVE-2019-14452
  * d/control: Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 14:02:35 +0200

sigil (0.9.15+dfsg-1) experimental; urgency=medium

  * New upstream version 0.9.15+dfsg.
  * d/control: Update dependencies, move from qtwebkit to qtwebengine.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:31:22 +0200

sigil (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.14+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:21:47 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sigil-data`.
